%define kversion 2.6.18-8.10AX


Name:      redcastle-app
Version:   3.0.0
Release:   8.%(echo %{kversion} | tr - _)
Summary:   RedCastle Applications

Group:     System Environment/Base
License:   RedCastle License
Vendor:    RedGate Co., Ltd.
Source0:   RedCastle3.tar.gz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64 ia64


%define __prefix_app_rc  $RPM_BUILD_ROOT/usr/share/redcastle
%define __prefix_app_desktop $RPM_BUILD_ROOT/usr/share/applications


%description
* RedCastle Applications
This package provides command line interfaces to handle RedCastle SecureOS.

* RedCastle License to Asianux 3.0
RedCastle is Secure OS product developed by REDGATE Co., Ltd.
RedCastle product is provided in two modules:
Basic module is free of charge for use and
Certain license fee will be charged for the Advanced module.
For more informations, see the LICENSE file in /usr/share/redcastle/doc.


%prep


%setup -c
echo


%build
cd RedCastle3
/bin/rm -f *.m4
/bin/rm -Rf autom4te.cache
aclocal
mv aclocal.m4 acinclude.m4
aclocal
autoheader
autoconf
automake --add-missing
%ifarch i386 i686
	./configure --enable-linux-header
%else
	./configure --enable-linux-header --enable-linux-fw64
%endif
sleep 1
make


%install
cd RedCastle3
make install-strip prefix=%{__prefix_app_rc}
sleep 1

# Adjust file permissions in bin/ directory
rm -f %{__prefix_app_rc}/bin/rclogin
chmod 555 %{__prefix_app_rc}/bin/*
chmod u+s %{__prefix_app_rc}/bin/chpw

# Add additional files in sbin/ directory
rm -f %{__prefix_app_rc}/sbin/faclget
rm -f %{__prefix_app_rc}/sbin/faclset
rm -f %{__prefix_app_rc}/sbin/lastcmd
rm -f %{__prefix_app_rc}/sbin/mkidb
rm -f %{__prefix_app_rc}/sbin/rcupdate
rm -f %{__prefix_app_rc}/sbin/sulog
cp scripts/LINUX/inst/ipf_contrc %{__prefix_app_rc}/sbin/ipf_contrc
cp src/anaconda/mkinit       %{__prefix_app_rc}/sbin
cp src/anaconda/mkinitdata   %{__prefix_app_rc}/sbin
chmod 544 %{__prefix_app_rc}/sbin/*

# Rename bin/ and sbin/ directories
mv %{__prefix_app_rc}/bin  %{__prefix_app_rc}/bin-%{kversion}
mv %{__prefix_app_rc}/sbin %{__prefix_app_rc}/sbin-%{kversion}

# Make symbolic link for sbin/
ln -s /usr/share/redcastle/sbin-%{kversion} %{__prefix_app_rc}/sbin

# Remove conf/ and etc/ directories
rm -rf %{__prefix_app_rc}/conf
rm -rf %{__prefix_app_rc}/etc


%clean
rm -rf $RPM_BUILD_ROOT


%files
/usr/share/redcastle/bin-%{kversion}
/usr/share/redcastle/bin-%{kversion}/chpw
/usr/share/redcastle/bin-%{kversion}/psx

/usr/share/redcastle/sbin
/usr/share/redcastle/sbin-%{kversion}
/usr/share/redcastle/sbin-%{kversion}/addcat
/usr/share/redcastle/sbin-%{kversion}/addmu
/usr/share/redcastle/sbin-%{kversion}/alcmd
/usr/share/redcastle/sbin-%{kversion}/cmdctl
/usr/share/redcastle/sbin-%{kversion}/conv_rcpwd
/usr/share/redcastle/sbin-%{kversion}/delcat
/usr/share/redcastle/sbin-%{kversion}/delmu
/usr/share/redcastle/sbin-%{kversion}/fgroupget
/usr/share/redcastle/sbin-%{kversion}/fgroupset
/usr/share/redcastle/sbin-%{kversion}/getcat
/usr/share/redcastle/sbin-%{kversion}/getmf
/usr/share/redcastle/sbin-%{kversion}/getmu
/usr/share/redcastle/sbin-%{kversion}/ipf_contrc
/usr/share/redcastle/sbin-%{kversion}/kaclget
/usr/share/redcastle/sbin-%{kversion}/kaclset
/usr/share/redcastle/sbin-%{kversion}/lastlog
/usr/share/redcastle/sbin-%{kversion}/loginc
/usr/share/redcastle/sbin-%{kversion}/loginf
/usr/share/redcastle/sbin-%{kversion}/loginh
/usr/share/redcastle/sbin-%{kversion}/mkinit
/usr/share/redcastle/sbin-%{kversion}/mkinitdata
/usr/share/redcastle/sbin-%{kversion}/modcat
/usr/share/redcastle/sbin-%{kversion}/modmu
/usr/share/redcastle/sbin-%{kversion}/rclogd
/usr/share/redcastle/sbin-%{kversion}/rcsinfo
/usr/share/redcastle/sbin-%{kversion}/replogin
/usr/share/redcastle/sbin-%{kversion}/repviolation
/usr/share/redcastle/sbin-%{kversion}/rgconf
/usr/share/redcastle/sbin-%{kversion}/rgctl
/usr/share/redcastle/sbin-%{kversion}/seclog
/usr/share/redcastle/sbin-%{kversion}/setmf
/usr/share/redcastle/sbin-%{kversion}/sosd
/usr/share/redcastle/sbin-%{kversion}/spaclget
/usr/share/redcastle/sbin-%{kversion}/spaclset
/usr/share/redcastle/sbin-%{kversion}/suctl
/usr/share/redcastle/sbin-%{kversion}/syslog
/usr/share/redcastle/sbin-%{kversion}/uroleadd
/usr/share/redcastle/sbin-%{kversion}/uroleassign
/usr/share/redcastle/sbin-%{kversion}/uroledel
/usr/share/redcastle/sbin-%{kversion}/uroleget


%changelog
* Wed Aug 15 2007 Kity Park <kity@redgate.co.kr>
- Remove -f and -m option from suctl command.
- Always apply 'su option' to 'Yes' for security user with SO role.
- Correct and re-form messages of rgconf command.

* Wed Aug  1 2007 Kity Park <kity@redgate.co.kr>
- Divide redcastle-app rpm into 3 - redcastle-app, redcastle-data and redcastle-manager.
- Fix the bug 3234.
  Change RedCastle installation location - /usr/local -> /usr/share.
- Fix the bug of delcat command.
  Before deleting security group from list, check if there is security users in the group.
- Exclude unused commands - rc_make_*.
- Correct and re-form help messages of commands.

* Wed Jul  4 2007 Kity Park <kity@redgate.co.kr>
- Fix the bug 3066.
  Correct error messages of init.RedCastle script.
- Fix the bug 3119.
  Replace rc_make_* commands by new one command mkinitdata.
- Fix the bug of rgctl command.
  When starting RedCastle security function using rgctl command,
  if RedCastle operation mode is 'warning', do not export environments
  to file after starting security function.
- Provide the basic manager.
- Update the default 'Security Attribute Reset List' - support prelink.
- Correct and re-form help messages of commands.

* Wed Jun 20 2007 Kity Park <kity@redgate.co.kr>
- Change the rpm name.
  RedCastle-APP-3.0.0-$rel_num -> redcastle-app-3.0.0-$rel_num.$kern_ver
- Fix the bug 2821 and 3025.
  Whenever starting RedCastle security function, initial data are created newly.
- Fix the bug 3046.
  Management logs of urole* commands are created.
- Provide the default ACL policy and Security Attribute Reset List.

* Wed May 30 2007 Kity Park <kity@redgate.co.kr>
- Fix the bug 2668.
  When starting RedCastle log daemon (rclogd), if rclogd fails to get ip address from /etc/hosts file,
  rclogd set ip address to 127.0.0.1 and runs.
- Fix the bug 2686.
  Fix the argument parsing and checking routine of uroleassign command.
